Bug 694173

Summary: koji does not appear to be able to serve files over 2GB
Product: [Fedora] Fedora Reporter: Bruno Wolff III <bruno>
Component: kojiAssignee: David Cantrell <dcantrell>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: bruno, dcantrell, kevin, mikem
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 09:33:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Bruno Wolff III 2011-04-06 12:57:52 EDT
Description of problem:
Now that the nightly build images are being built by koji, a problem has show up for the games spin.

Version-Release number of selected component (if applicable):
I am not sure.

How reproducible:
Seems to be 100%.

Steps to Reproduce:
1. download http://koji.fedoraproject.org/koji/getfile?taskID=2970673&name=Fedora-15-Nightly-20110403.17-i686-Live-games.iso
2. Examine the saved file
3.
  
Actual results:
The contents of the downloaded file are:
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>Error | Koji</title>
    <link rel="shortcut icon" href="/koji-static/images/koji.ico"/>
    <link rel="stylesheet" type="text/css" media="screen" title="Koji Style" hre
f="/koji-static/koji.css"/>
    <link rel="alternate stylesheet" type="text/css" media="screen" title="Debug
" href="/koji-static/debug.css"/>
    <link rel="alternate" type="application/rss+xml" title="Koji: recent builds"
 href="/koji/recentbuilds"/>
  </head>
  <body id="error">

    <div id="wrap">
      <div id="innerwrap">

        <!-- HEADER -->
        <div id="header">
          <img src="/koji-static/images/koji.png" alt="Koji Logo" id="kojiLogo"/
>
          <form action="search" id="headerSearch">
            <input type="hidden" name="match" value="glob"/>
            <select name="type">
              <option value="package">Packages</option>
              <option value="build">Builds</option>
              <option value="tag">Tags</option>
              <option value="target">Build Targets</option>
              <option value="user">Users</option>
              <option value="host">Hosts</option>
              <option value="rpm">RPMs</option>
            </select>
            <input type="text" name="terms"/>
            <input type="submit" value="Search"/>
          </form>
        </div><!-- end header -->

        <!-- MAIN NAVIGATION -->
        <div id="mainNav">
          <h4 class="hide">Main Site Links:</h4>
          <ul>
            <li id="summaryTab"><a href="index">Summary</a></li>
            <li id="packagesTab"><a href="packages">Packages</a></li>
            <li id="buildsTab"><a href="builds">Builds</a></li>
            <li id="tasksTab"><a href="tasks">Tasks</a></li>
            <li id="tagsTab"><a href="tags">Tags</a></li>
            <li id="buildtargetsTab"><a href="buildtargets">Build Targets</a></l
i>
            <li id="usersTab"><a href="users">Users</a></li>
            <li id="hostsTab"><a href="hosts">Hosts</a></li>
            <li id="reportsTab"><a href="reports">Reports</a></li>
            <li id="searchTab"><a href="search">Search</a></li>
          </ul>
        </div><!-- end mainNav -->

        <span id="loginInfo">
          Wed, 06 Apr 2011 16:54:49 UTC |
          <a href="login">login</a>
        </span>

        <div id="content">

  <h4>Error</h4>

<div>
An error has occurred while processing your request.
</div>

<div>
OverflowError: long int too large to convert to int

</div>

<div>
<pre>
Traceback (most recent call last):
  File "/usr/share/koji-web/lib/kojiweb/publisher.py", line 16, in publish_objec
t
    return old_publish_object(req, object)
  File "/usr/lib/python2.4/site-packages/mod_python/publisher.py", line 425, in 
publish_object
    return publish_object(req,util.apply_fs_data(object, req.form, req=req))
  File "/usr/lib/python2.4/site-packages/mod_python/util.py", line 554, in apply
_fs_data
    return object(**args)
  File "/usr/share/koji-web/scripts/index.py", line 705, in getfile
    req.set_content_length(size)
OverflowError: long int too large to convert to int
</pre>
</div>

        </div>

        <p id="footer">
          Copyright &copy; 2006-2010 Red Hat
          <a href="https://fedorahosted.org/koji/"><img src="/koji-static/images
/powered-by-koji.png" alt="Powered By Koji" id="PoweredByKojiLogo"/></a>
        </p>

      </div>
    </div>

  </body>
</html>

Expected results:
A games spin iso.

Additional info:

This is tied to the following infrastructure bug:
https://fedorahosted.org/fedora-infrastructure/ticket/2699
Comment 1 Mike McLean 2011-04-06 16:04:27 EDT
It appears that mod_python is throwing this error. We'll need to use a direct url instead of kojiweb's getfile mechanism.
Comment 2 Kevin Fenzi 2011-10-10 16:35:09 EDT
Any news here?
Comment 3 Bruno Wolff III 2011-10-10 16:57:29 EDT
I haven't heard anything outside of this bug.
Comment 4 Mike McLean 2011-10-12 17:27:12 EDT
This is an odd error that I'm having a bit of trouble reproducing on my test system. It is probably particular to the mod_python version.

getfile for >2G was fixed a while back (before 1.5.0), so I assume you have that fix. This appears to be a different problem A more recent change, not yet in a release, should resolve this issue.

https://fedorahosted.org/koji/changeset/470bf43be72d26c6d54b43fa706e5032fd7f8b6d
Comment 5 Fedora End Of Life 2012-08-16 09:34:02 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bruno Wolff III 2013-01-09 22:37:08 EST
This appears to have been fixed. I found the trac ticket, but missed there was still a bugzilla entry for it. I am not sure exactly when it got fixed.